Bug 9788 - Disk Druid kills install with FAT drive left highlighted.
Disk Druid kills install with FAT drive left highlighted.
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
6.2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Michael Fulbright
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-02-25 13:19 EST by David D.W. Downey
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-27 11:08:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David D.W. Downey 2000-02-25 13:19:35 EST
INSTALL NOTES - KDE Workstation

        Used Disk Druid to partition drive. No errors reported.
        Runs fine until package install then hangs with no errors.
        +Checked F1 screen got following error dump.

        File "/usr/lib/python1.5/threading.py", line 376, in __bootstrap
        self.run()

        File "/usr/lib/anaconda/iw/progress.py", line 16 in run
        rc=self.todo.doInstall()

        File "/usr/lib/anaconda/todo.py", line 1072, in doInstall
        self.fstab.savePartitions()

        File "/usr/lib/anaconda/fstab.py", line 151, in savePartitions
        self.ddruid.save()
        SystemError: Error partitioning drive /tmp/hda: Device or resource
        busy.

I had the highlight on the /dev/hda in Disk Druid before going to the next
screen but had NOT defined /dev/hda to be mounted anywhere.

A reboot and a run of fdisk for partitioning and making sure the windows
drive was NOT selected after assigning partitions to mount points allowed
package install to go through.
Comment 1 Jay Turner 2000-02-27 11:06:59 EST
There was a known issue with the drive resource not getting released in this cut
of the beta.  That issue has been resolved in the latest cut of the installer.

Note You need to log in before you can comment on or make changes to this bug.